{{- if .Values.ingress.enabled }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Release.Name }}-tls
type: kubernetes.io/tls
data:
  tls.crt: {{ .Values.appsecret.tlscrt | b64enc | quote }}
  tls.key: {{ .Values.appsecret.tlskey | b64enc | quote }}
{{- end }}